VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes
FixedTempoEstimator::D Class Reference

List of all members.

## Public Member Functions
| D (float inputSampleRate)
| ~D ()
size_t | getPreferredStepSize () const
size_t | getPreferredBlockSize () const
ParameterList | getParameterDescriptors () const
float | getParameter (string id) const
void | setParameter (string id, float value)
OutputList | getOutputDescriptors () const
bool | initialise (size_t channels, size_t stepSize, size_t blockSize)
void | reset ()
FeatureSet | process (const float *const *, RealTime)
FeatureSet | getRemainingFeatures ()
## Private Member Functions
void | calculate ()
FeatureSet | assembleFeatures ()
float | lag2tempo (int)
int | tempo2lag (float)
## Private Attributes
float | m_inputSampleRate
size_t | m_stepSize
size_t | m_blockSize
float | m_minbpm
float | m_maxbpm
float | m_maxdflen
float * | m_priorMagnitudes
size_t | m_dfsize
float * | m_df
float * | m_r
float * | m_fr
float * | m_t
size_t | m_n
Vamp::RealTime | m_start
Vamp::RealTime | m_lasttime

## Detailed Description

Definition at line 50 of file FixedTempoEstimator.cpp.

## Constructor & Destructor Documentation

FixedTempoEstimator::D::D | ( | float | inputSampleRate | ) |

Definition at line 99 of file FixedTempoEstimator.cpp.

FixedTempoEstimator::D::~D | ( |  | ) |

Definition at line 115 of file FixedTempoEstimator.cpp.

## Member Function Documentation

size_t FixedTempoEstimator::D::getPreferredStepSize | ( |  | ) | const`[inline]`

Definition at line 57 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::getPreferredStepSize().

size_t FixedTempoEstimator::D::getPreferredBlockSize | ( |  | ) | const`[inline]`

Definition at line 58 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::getPreferredBlockSize().

FixedTempoEstimator::ParameterList FixedTempoEstimator::D::getParameterDescriptors | ( |  | ) | const

Definition at line 125 of file FixedTempoEstimator.cpp.

References Vamp::PluginBase::ParameterDescriptor::defaultValue, Vamp::PluginBase::ParameterDescriptor::description, Vamp::PluginBase::ParameterDescriptor::identifier, Vamp::PluginBase::ParameterDescriptor::isQuantized, Vamp::PluginBase::ParameterDescriptor::maxValue, Vamp::PluginBase::ParameterDescriptor::minValue, Vamp::PluginBase::ParameterDescriptor::name, and Vamp::PluginBase::ParameterDescriptor::unit.

Referenced by FixedTempoEstimator::getParameterDescriptors().

float FixedTempoEstimator::D::getParameter | ( | string | id | ) | const

Definition at line 159 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::getParameter().

void FixedTempoEstimator::D::setParameter | ( | string | id,
|  | float | value
| ) |  |

Definition at line 172 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::setParameter().

FixedTempoEstimator::OutputList FixedTempoEstimator::D::getOutputDescriptors | ( |  | ) | const

Definition at line 190 of file FixedTempoEstimator.cpp.

References Vamp::Plugin::OutputDescriptor::binCount, Vamp::Plugin::OutputDescriptor::description, Vamp::Plugin::OutputDescriptor::FixedSampleRate, FixedTempoEstimator::getPreferredBlockSize(), Vamp::Plugin::OutputDescriptor::hasDuration, Vamp::Plugin::OutputDescriptor::hasFixedBinCount, Vamp::Plugin::OutputDescriptor::hasKnownExtents, Vamp::Plugin::OutputDescriptor::identifier, Vamp::Plugin::OutputDescriptor::isQuantized, Vamp::Plugin::m_inputSampleRate, Vamp::Plugin::OutputDescriptor::maxValue, Vamp::Plugin::OutputDescriptor::minValue, Vamp::Plugin::OutputDescriptor::name, Vamp::Plugin::OutputDescriptor::quantizeStep, Vamp::Plugin::OutputDescriptor::sampleRate, Vamp::Plugin::OutputDescriptor::sampleType, Vamp::Plugin::OutputDescriptor::unit, and Vamp::Plugin::OutputDescriptor::VariableSampleRate.

Referenced by FixedTempoEstimator::getOutputDescriptors().

bool FixedTempoEstimator::D::initialise | ( | size_t | channels,
|  | size_t | stepSize,
|  | size_t | blockSize
| ) |  |

Definition at line 252 of file FixedTempoEstimator.cpp.

References Vamp::Plugin::m_inputSampleRate.

Referenced by FixedTempoEstimator::initialise().

void FixedTempoEstimator::D::reset | ( |  | ) |

Definition at line 276 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::reset().

FixedTempoEstimator::FeatureSet FixedTempoEstimator::D::process | ( | const float *const * | inputBuffers,
|  | RealTime | ts
| ) |  |

Definition at line 303 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::process().

FixedTempoEstimator::FeatureSet FixedTempoEstimator::D::getRemainingFeatures | ( |  | ) |

Definition at line 352 of file FixedTempoEstimator.cpp.

Referenced by FixedTempoEstimator::getRemainingFeatures().

void FixedTempoEstimator::D::calculate | ( |  | ) | `[private]`

Definition at line 375 of file FixedTempoEstimator.cpp.

References Vamp::Plugin::m_inputSampleRate.

FixedTempoEstimator::FeatureSet FixedTempoEstimator::D::assembleFeatures | ( |  | ) | `[private]`

Definition at line 481 of file FixedTempoEstimator.cpp.

References ACFOutput, CandidatesOutput, DFOutput, Vamp::Plugin::Feature::duration, FilteredACFOutput, Vamp::Plugin::Feature::hasDuration, Vamp::Plugin::Feature::hasTimestamp, Vamp::Plugin::Feature::label, Vamp::Plugin::m_inputSampleRate, TempoOutput, Vamp::Plugin::Feature::timestamp, and Vamp::Plugin::Feature::values.

float FixedTempoEstimator::D::lag2tempo | ( | int | lag | ) | `[private]`

Definition at line 363 of file FixedTempoEstimator.cpp.

References Vamp::Plugin::m_inputSampleRate.

int FixedTempoEstimator::D::tempo2lag | ( | float | tempo | ) | `[private]`

Definition at line 369 of file FixedTempoEstimator.cpp.

References Vamp::Plugin::m_inputSampleRate.

## Member Data Documentation

float FixedTempoEstimator::D::m_inputSampleRate`[private]`

Definition at line 78 of file FixedTempoEstimator.cpp.

size_t FixedTempoEstimator::D::m_stepSize`[private]`

Definition at line 79 of file FixedTempoEstimator.cpp.

size_t FixedTempoEstimator::D::m_blockSize`[private]`

Definition at line 80 of file FixedTempoEstimator.cpp.

float FixedTempoEstimator::D::m_minbpm`[private]`

Definition at line 82 of file FixedTempoEstimator.cpp.

float FixedTempoEstimator::D::m_maxbpm`[private]`

Definition at line 83 of file FixedTempoEstimator.cpp.

float FixedTempoEstimator::D::m_maxdflen`[private]`

Definition at line 84 of file FixedTempoEstimator.cpp.

float* FixedTempoEstimator::D::m_priorMagnitudes`[private]`

Definition at line 86 of file FixedTempoEstimator.cpp.

size_t FixedTempoEstimator::D::m_dfsize`[private]`

Definition at line 88 of file FixedTempoEstimator.cpp.

float* FixedTempoEstimator::D::m_df`[private]`

Definition at line 89 of file FixedTempoEstimator.cpp.

float* FixedTempoEstimator::D::m_r`[private]`

Definition at line 90 of file FixedTempoEstimator.cpp.

float* FixedTempoEstimator::D::m_fr`[private]`

Definition at line 91 of file FixedTempoEstimator.cpp.

float* FixedTempoEstimator::D::m_t`[private]`

Definition at line 92 of file FixedTempoEstimator.cpp.

size_t FixedTempoEstimator::D::m_n`[private]`

Definition at line 93 of file FixedTempoEstimator.cpp.

Vamp::RealTime FixedTempoEstimator::D::m_start`[private]`

Definition at line 95 of file FixedTempoEstimator.cpp.

Vamp::RealTime FixedTempoEstimator::D::m_lasttime`[private]`

Definition at line 96 of file FixedTempoEstimator.cpp.

The documentation for this class was generated from the following file:

- FixedTempoEstimator.cpp